Appearance
PATCH
/global/tenant/tenants/{tenantId}Required scope:
viskan-global:tenant:updateUpdates a tenant. Any field not specified will be left unchanged.
Parameters
Path parameters
tenantId string Format:
uuidThe ID of the tenant to update.
Request body
JSON
{
"tenantName": "Viskan System AB",
"countryCode": "SE",
"organizationNumber": 5565901864,
"browserKey": "lf1dk8",
"databaseName": "ViskanProd",
"databaseHost": "viskanssql.viskan.local",
"active": true
}
Response
The tenant was successfully updated.
| Error code | Description |
|---|---|
browser-key-is-required | The browser key cannot be blank. |
country-code-is-invalid | The country code must be a two-letter ISO country code. |
database-host-is-required | The database hostname cannot be blank. |
database-name-is-required | The database name cannot be blank. |
invalid-database-name | The provided database name is invalid. |
organization-number-is-required | The organization number cannot be blank. |
tenant-name-is-required | The tenant name cannot be blank. |
tenant-not-found | No tenant was found with the given ID. |